## ros-indigo-innok-heros-control 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(innok_heros_control)

find_package(catkin REQUIRED COMPONENTS roslaunch
)


catkin_package()
roslaunch_add_file_check(launch)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(
  DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-innok-heros-control (1.0.3-0trusty) trusty; urgency=high

  * Fixed CMakeLists.txt
  * Contributors: Sabrina Heerklotz

 -- Sabrina Heerklotz <sh@innok-robotics.de>  Thu, 10 Dec 2015 23:00:00 -0000

ros-indigo-innok-heros-control (1.0.2-0trusty) trusty; urgency=high

  * fixed CMakeLists.txt
  * Contributors: Sabrina Heerklotz

 -- Sabrina Heerklotz <sh@innok-robotics.de>  Tue, 08 Dec 2015 23:00:00 -0000

ros-indigo-innok-heros-control (1.0.1-0trusty) trusty; urgency=high

  * fixed dependencies
  * Contributors: Sabrina Heerklotz

 -- Sabrina Heerklotz <sh@innok-robotics.de>  Mon, 19 Oct 2015 22:00:00 -0000

ros-indigo-innok-heros-control (1.0.0-0trusty) trusty; urgency=high

  * initial commit
  * Contributors: Sabrina Heerklotz, Jonathan Hechtbauer

 -- Sabrina Heerklotz <sh@innok-robotics.de>  Wed, 14 Oct 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-innok-heros-control
Section: misc
Priority: extra
Maintainer: Sabrina Heerklotz <sh@innok-robotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://wiki.ros.org/Robots/Innok-Heros
Standards-Version: 3.9.2

Package: ros-indigo-innok-heros-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-innok-heros-description, ros-indigo-innok-heros-gazebo, ros-indigo-joy, ros-indigo-teleop-twist-joy, ros-indigo-teleop-twist-keyboard, ros-indigo-twist-mux
Description: package to control the Innok Heros with several devices (e. g. joystick and keyboard)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-innok-heros-control//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
